Skip to content
Start here

List all entries

zero_trust.dlp.entries.list(EntryListParams**kwargs) -> SyncSinglePage[EntryListResponse]
GET/accounts/{account_id}/dlp/entries

Lists all DLP entries in an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust ReadZero Trust Write
ParametersExpand Collapse
account_id: str
ReturnsExpand Collapse
One of the following:
class UnionMember0:
id: str
formatuuid
created_at: datetime
formatdate-time
Deprecatedenabled: bool
name: str
pattern: Pattern
regex: str
Deprecatedvalidation: Optional[Literal["luhn"]]
type: Literal["custom"]
updated_at: datetime
formatdate-time
description: Optional[str]
Deprecatedprofile_id: Optional[str]
formatuuid
upload_status: Optional[Literal["empty", "uploading", "pending", 3 more]]
One of the following:
"empty"
"uploading"
"pending"
"processing"
"failed"
"complete"
class UnionMember1:
id: str
formatuuid
confidence: UnionMember1Confidence
ai_context_available: bool

Indicates whether this entry has AI remote service validation.

available: bool

Indicates whether this entry has any form of validation that is not an AI remote service.

enabled: bool
name: str
type: Literal["predefined"]
Deprecatedprofile_id: Optional[str]
formatuuid
upload_status: Optional[Literal["empty", "uploading", "pending", 3 more]]
One of the following:
"empty"
"uploading"
"pending"
"processing"
"failed"
"complete"
variant: Optional[UnionMember1Variant]
topic_type: Literal["Intent", "Content"]
One of the following:
"Intent"
"Content"
type: Literal["PromptTopic"]
description: Optional[str]
class UnionMember2:
id: str
formatuuid
created_at: datetime
formatdate-time
enabled: bool
name: str
type: Literal["integration"]
updated_at: datetime
formatdate-time
profile_id: Optional[str]
formatuuid
upload_status: Optional[Literal["empty", "uploading", "pending", 3 more]]
One of the following:
"empty"
"uploading"
"pending"
"processing"
"failed"
"complete"
class UnionMember3:
id: str
formatuuid
case_sensitive: bool

Only applies to custom word lists. Determines if the words should be matched in a case-sensitive manner Cannot be set to false if secret is true

created_at: datetime
formatdate-time
enabled: bool
name: str
secret: bool
type: Literal["exact_data"]
updated_at: datetime
formatdate-time
upload_status: Optional[Literal["empty", "uploading", "pending", 3 more]]
One of the following:
"empty"
"uploading"
"pending"
"processing"
"failed"
"complete"
class UnionMember4:
id: str
formatuuid
created_at: datetime
formatdate-time
enabled: bool
name: str
type: Literal["document_fingerprint"]
updated_at: datetime
formatdate-time
upload_status: Optional[Literal["empty", "uploading", "pending", 3 more]]
One of the following:
"empty"
"uploading"
"pending"
"processing"
"failed"
"complete"
class UnionMember5:
id: str
formatuuid
created_at: datetime
formatdate-time
enabled: bool
name: str
type: Literal["word_list"]
updated_at: datetime
formatdate-time
word_list: object
profile_id: Optional[str]
formatuuid
upload_status: Optional[Literal["empty", "uploading", "pending", 3 more]]
One of the following:
"empty"
"uploading"
"pending"
"processing"
"failed"
"complete"

List all entries

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.zero_trust.dlp.entries.list(
    account_id="account_id",
)
page = page.result[0]
print(page)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-12-27T18:11:19.117Z",
      "enabled": true,
      "name": "name",
      "pattern": {
        "regex": "regex",
        "validation": "luhn"
      },
      "type": "custom",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "description": "description",
      "profile_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "upload_status": "empty"
    }
  ]
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-12-27T18:11:19.117Z",
      "enabled": true,
      "name": "name",
      "pattern": {
        "regex": "regex",
        "validation": "luhn"
      },
      "type": "custom",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "description": "description",
      "profile_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "upload_status": "empty"
    }
  ]
}